Bug 4859 - Can not overwrite a file from windows (98) explorer
Can not overwrite a file from windows (98) explorer
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Client Tools
3.0.25b
x86 Windows 98
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-06 10:36 UTC by Mark Condic
Modified: 2007-08-20 13:44 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Condic 2007-08-06 10:36:07 UTC
This problem did not exist on SuSE 9.2 with samba 3.0.23 but does on samba-3.0.25b-1.1.72 running on OpenSuSE 10.2:

I am accessing my samba share from Windows98SE.  I can create a file, and delete a file, but I can't copy over an existing file!  Try using windows explorer.  This works under windows xp, but not under Windows98SE, which all of my student machines use.  I tried changing the case sensitive directive, but have not found a combination that works.  please help.  here is the global section of smb.conf:

[global]
        workgroup = TAKE5
        interfaces = eth*, lo
        bind interfaces only = Yes
        security = SHARE
        map to guest = Bad User
        log level = 3
        socket options = SO_KEEPALIVE IPTOS_LOWDELAY TCP_NODELAY
        printcap name = /etc/printcap
        mangling method = hash
        os level = 65
        kernel oplocks = No
        guest only = Yes
        case sensitive = No

I have tried all upper case, all lower case.  If the file already exists I can delete it, but not write over it.

from the beginning of the log.smbd trying to overwrite testing123.txt :
[2007/08/06 10:19:32, 3] smbd/process.c:process_smb(1068)
  Transaction 12 of length 132
[2007/08/06 10:19:32, 3] smbd/process.c:switch_message(926)
  switch message SMBopenX (pid 4842) conn 0x80466438
[2007/08/06 10:19:32, 3] smbd/dosmode.c:unix_mode(142)
  unix_mode(webpages/linux/testing123.txt) returning 0766
[2007/08/06 10:19:32, 3] smbd/error.c:error_packet_set(125)
  error packet at smbd/reply.c(1458) cmd=45 (SMBopenX) eclass=1 ecode=183
[2007/08/06 10:19:34, 3] smbd/process.c:process_smb(1068)
  Transaction 13 of length 144
[2007/08/06 10:19:34, 3] smbd/process.c:switch_message(926)
  switch message SMBtrans2 (pid 4842) conn 0x80466438
[2007/08/06 10:19:34, 3] smbd/trans2.c:call_trans2findfirst(1703)
  call_trans2findfirst: dirtype = 16, maxentries = 4, close_after_first=0, close_if_end = 0 requires_resume_key = 0 level = 0x104, max_data_
[2007/08/06 10:19:34, 3] smbd/dir.c:dptr_create(516)
  creating new dirptr 256 for path webpages/linux, expect_close = 1
[2007/08/06 10:19:34, 3] smbd/process.c:process_smb(1068)
  Transaction 14 of length 41
Comment 1 Gerald (Jerry) Carter 2007-08-20 13:44:27 UTC
Should be fixed in the upcoming 3.0.25c.